/**
 * Copyright (C) 2005-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */
package com.funambol.email.engine.source;


import com.funambol.email.model.EmailFilter;
import com.funambol.framework.logging.FunambolLogger;
import com.funambol.framework.logging.FunambolLoggerFactory;
import com.funambol.email.util.Def;
import com.funambol.email.model.MailServerAccount;
import com.funambol.email.transport.IMailServerWrapper;

/**
 * <p><p/>
 *
 * version $Id: EmailSyncSourceWrapper.java,v 1.4 2007/01/15 16:37:39 nichele Exp $
 */
public class EmailSyncSourceWrapper
{
    // --------------------------------------------------------------- Constants

    /**     */
    protected FunambolLogger log = FunambolLoggerFactory.getLogger(Def.LOGGER_NAME);

    // -------------------------------------------------------------- Properties

    /**  
     *
     */
    private EmailSyncSource emailSyncSource = null;    
    

    // ------------------------------------------------------------ Public Methods
    
    /**
     *
     */
    public EmailSyncSource getEmailSyncSource(){
        return this.emailSyncSource;
    }
        
    /**
     *
     */
    public void setEmailSyncSource(EmailSyncSource _emailSyncSource){
        this.emailSyncSource = _emailSyncSource;
    }
    
}
