/**
 * Copyright (C) 2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */
package com.funambol.email.inboxlistener.msdao;


import com.funambol.email.exception.EntityException;
import com.funambol.email.exception.InboxListenerException;
import com.funambol.email.model.MailServerAccount;
import com.funambol.email.model.SyncItemInfo;
import com.funambol.email.transport.IMailServerWrapper;
import com.funambol.email.util.Def;
import com.funambol.email.util.Utility;
import com.funambol.email.util.UtilityDate;
import com.sun.mail.imap.IMAPFolder;
import com.sun.mail.pop3.POP3Folder;
import java.util.ArrayList;
import java.util.Date;
import java.util.HashMap;
import java.util.Iterator;
import com.funambol.framework.logging.FunambolLogger;
import com.funambol.framework.logging.FunambolLoggerFactory;
import java.util.List;
import javax.mail.Message;
import javax.mail.MessagingException;



/**
 * 
 *
 * @version $Id: IMailboxMSDAO.java,v 1.1 2007/01/15 10:11:02 gbmiglia Exp $
 */
public interface IMailboxMSDAO {


   /**    */
   public void setMaxEmailNumber(int _maxEmailNumber);

   /**    */
   public int getMaxEmailNumber();
   
   /**    */
   public void setPassword(String _password);
    
   
   /**  */
   public SyncItemInfo[] getEmailsFromInbox(IMailServerWrapper mswf, HashMap localInfos)
      throws InboxListenerException ;
       
    
    /**  */
    public void closeConnection(IMailServerWrapper mswf)
      throws InboxListenerException ;
    
       
}
