/**
 * Copyright (C) 2005-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */
package com.funambol.email.model;


/**
 *
 * @version $Id: UserSearchFilter.java,v 1.2 2007/01/15 16:37:39 nichele Exp $
 */
public class UserSearchFilter {


    //---------------------------------------------------------------- Constants
    
    private final String  START_WITH = "start_with";
    private final String  END_WITH   = "end_with";
    private final String  CONTAINS   = "contains";
    private final String  EXACTLY    = "exactly";

    //--------------------------------------------------------------- Properties    
    
    private String userName ;
    private String userNameOption ;
    private String firstName ;
    private String firstNameOption ;
    private String lastName ;
    private String lastNameOption ;
    private String email ;
    private String emailOption ;
    private String serverName ;
    private String serverNameOption ;
    
    

    public UserSearchFilter(){
    }



    public String getUserName() {
        return userName;
    }
    public String getUserNameOption() {
        return userNameOption;
    }
    public String getFirstName() {
        return firstName;
    }
    public String getFirstNameOption() {
        return firstNameOption;
    }
    public String getLastName() {
        return lastName;
    }
    public String getLastNameOption() {
        return lastNameOption;
    }
    public String getEmail() {
        return email;
    }
    public String getEmailOption() {
        return emailOption;
    }
    public String getServerName() {
        return serverName;
    }
    public String getServerNameOption() {
        return serverNameOption;
    }

    
    public void setUserName(String _userName) {
        userName = _userName;
    }
    public void setUserNameOption(String _userNameOption) {
        userNameOption = _userNameOption;
    }
    public void setFirstName(String _firstName) {
        firstName = _firstName;
    }
    public void setFirstNameOption(String _firstNameOption) {
        firstNameOption = _firstNameOption;
    }
    public void setLastName(String _lastName) {
        lastName = _lastName;
    }
    public void setLastNameOption(String _lastNameOption) {
        lastNameOption = _lastNameOption;
    }
    public void setEmail(String _email) {
        email = _email;
    }
    public void setEmailOption(String _emailOption) {
        emailOption = _emailOption;
    }
    public void setServerName(String _serverName) {
        serverName = _serverName;
    }
    public void getServerNameOption(String _serverNameOption) {
        serverNameOption = _serverNameOption;
    }    
    
}
