/**
 * Copyright (C) 2005-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */
package com.funambol.email.transport  ;


import com.funambol.email.util.Def;


/**
 *
 *
 * @version $Id: MailServerWrapperFactory.java,v 1.4 2007/01/15 16:37:40 nichele Exp $
 */
public class MailServerWrapperFactory {


   public static IMailServerWrapper getMailServerWrapper(String p) {

        IMailServerWrapper msw = null;

        if      (p.equals(Def.PROTOCOL_IMAP)){
          msw = new ImapMailServerWrapper();
        }
        else if (p.equals(Def.PROTOCOL_POP3)){
          msw =  new PopMailServerWrapper();
        } else {
          // error
        }

        return msw;
    }

}
