/**
 * Copyright (C) 2006-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */

package com.funambol.email.admin;

/**
 * Contains constants that are used by account handling.
 *
 * @version $Id: Constants.java,v 1.3 2007/01/24 15:03:24 piter_may Exp $
 */
public class Constants {
    
    // --------------------------------------------------------------- Constants
    
    public static final String ACTION_COMMAND_SEARCH_MAILSERVER = "ACTION_COMMAND_SEARCH_ACCOUNT";

    public static final String ACTION_COMMAND_SEARCH_ACCOUNT = "ACTION_COMMAND_SEARCH_ACCOUNT";
    
    public static final String ACTION_COMMAND_ADD_ACCOUNT = "ACTION_COMMAND_ADD_ACCOUNT";
    public static final String ACTION_COMMAND_DELETE_ACCOUNT = "ACTION_COMMAND_DELETE_ACCOUNT";
    public static final String ACTION_COMMAND_EDIT_ACCOUNT = "ACTION_COMMAND_EDIT_ACCOUNT";
    public static final String ACTION_COMMAND_SHOW_CACHE = "ACTION_COMMAND_SHOW_CACHE";
    
    public static final String ACTION_COMMAND_SEARCH_USER = "ACTION_COMMAND_SEARCH_USER";
    public static final String ACTION_COMMAND_SELECT_USER = "ACTION_COMMAND_SELECT_USER";
    
}
