/**
 * Copyright (C) 2006-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */
 
 package com.funambol.email.admin;

/**
 * Interface to be implemented by every "function" class that encapsulate a
 * "next step logic". Process controller creates and pass Step object to each
 * process step.
 *
 * @version $Id: Step.java,v 1.1 2007/01/17 16:25:01 piter_may Exp $
 */
public interface Step {
    
    /**
     * Method that drives the transition to the next step of a process.
     */
    void goToNextStep();
}
