/**
 * Copyright (C) 2005-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */
package com.funambol.email.inboxlistener.admin;


import java.beans.XMLEncoder;
import java.beans.XMLDecoder;
import java.io.*;



/**
 * This class loads the parameter from the XML configuration file
 *
 * @author  Gilberto Migliavacca
 * @version $Id: ConfigHelper.java,v 1.3 2007/01/15 16:37:39 nichele Exp $
 */
public class ConfigHelper {

    /**
     *
     */
    public static void write(InboxListenerConfig f, String filename)
      throws Exception{
        XMLEncoder encoder = new XMLEncoder( new BufferedOutputStream(
                new FileOutputStream(filename)));
        encoder.writeObject(f);
        encoder.close();
    }

    /**
     *
     */
    public static InboxListenerConfig read(String filename)
      throws Exception {
        XMLDecoder decoder = new XMLDecoder(new BufferedInputStream(
                new FileInputStream(filename)));
        InboxListenerConfig o = (InboxListenerConfig)decoder.readObject();
        decoder.close();
        return o;
    }

}
