/**
 * Copyright (C) 2005-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */
package com.funambol.email.model;


/**
 *
 * @version $Id: FlagProperties.java,v 1.3 2007/01/26 17:38:43 gbmiglia Exp $
 */
public class FlagProperties
{

   private boolean seen      ;
   private boolean answered  ;
   private boolean deleted   ;
   private boolean draft     ;
   private boolean recent    ;
   private boolean flagged   ;
   private boolean forwarded ;

   /**
    *
    */
   public FlagProperties(){
   }
   
   /**
    *
    * @param _seen boolean
    * @param _answered boolean
    * @param _deleted boolean
    * @param _draft boolean
    * @param _recent boolean
    * @param _flagged boolean
    * @param _forwarded boolean
    */
   public FlagProperties(boolean _seen,
                         boolean _answered,
                         boolean _deleted,
                         boolean _draft,
                         boolean _recent,
                         boolean _flagged,
                         boolean _forwarded){
      this.seen     = _seen;
      this.answered = _answered;
      this.deleted  = _deleted;
      this.draft    = _draft;
      this.recent   = _recent;
      this.flagged  = _flagged;
      this.forwarded  = _forwarded;

   }
   
   public void setSeen(boolean _seen){
       this.seen = _seen;
   }
   public void setAnswered(boolean _answered){
       this.answered = _answered;
   }
   public void setDeleted(boolean _deleted){
       this.deleted = _deleted;
   }
   public void setDraft(boolean _draft){
       this.draft = _draft;
   }
   public void setRecent(boolean _recent){
       this.recent = _recent;
   }
   public void setFlagged(boolean _flagged){
       this.flagged = _flagged;
   }
   public void setForwarded(boolean _forwarded){
       this.forwarded = _forwarded;
   }

   public boolean getSeen( ){
       return this.seen;
   }
   public boolean getAnswered( ){
       return this.answered;
   }
   public boolean getDeleted( ){
       return this.deleted;
   }
   public boolean getDraft( ){
       return this.draft;
   }
   public boolean getRecent( ){
       return this.recent;
   }
   public boolean getFlagged( ){
       return this.flagged;
   }
   public boolean getForwarded( ){
       return this.forwarded;
   }
   
   /**
    *
    *
    * @return String
    */
   public String toString(){
     return  "" + this.seen + this.answered + this.deleted +
                  this.draft + this.recent + this.flagged;

   }

}
