/**
 * Copyright (C) 2005-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */
package com.funambol.email.model;


/**
 *
 * @version $Id: SendResult.java,v 1.2 2007/01/15 16:37:39 nichele Exp $
 */
public class SendResult
{

   private String  GUID   ;
   private String  LUID   ;
   private boolean isSent ;
   private boolean isPOP ;

   /**
    *
    *
    * @param GUID String
    * @param LUID String
    * @param isSent boolean
    * @param isPOP boolean
    */
   public SendResult(String GUID, String LUID, boolean isSent, boolean isPOP){
      this.GUID   = GUID;
      this.LUID   = LUID;
      this.isSent = isSent;
      this.isPOP  = isPOP;
   }

   /**
    *
    *
    * @return String
    */
   public String getGUID(){
      return this.GUID;
   }

   /**
    *
    *
    * @return String
    */
   public String getLUID(){
      return this.LUID;
   }

   /**
    *
    *
    * @return boolean
    */
   public boolean isSent(){
      return this.isSent;
   }

   /**
    *
    *
    * @return boolean
    */
   public boolean isPOP(){
      return this.isPOP;
   }

}
