/**
 * Copyright (C) 2005-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */
package com.funambol.email.model;


/**
 *
 * @version $Id: ServerSearchFilter.java,v 1.2 2007/01/15 16:37:39 nichele Exp $
 */
public class ServerSearchFilter {


    //---------------------------------------------------------------- Constants
    
    private final String  START_WITH = "start_with";
    private final String  END_WITH   = "end_with";
    private final String  CONTAINS   = "contains";
    private final String  EXACTLY    = "exactly";

    //--------------------------------------------------------------- Properties    
    
    private String serverName ;
    private String serverNameOption ;
    
    

    public ServerSearchFilter(){
    }



    public String getServerName() {
        return serverName;
    }
    public String getServerNameOption() {
        return serverNameOption;
    }

    
    public void setServerName(String _serverName) {
        serverName = _serverName;
    }
    public void getServerNameOption(String _serverNameOption) {
        serverNameOption = _serverNameOption;
    }    

}
