/**
 * Copyright (C) 2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */
package com.funambol.email.model;


/**
 *
 * @version $Id: SyncItemInfoAdmin.java,v 1.2 2007/03/19 14:24:19 gbmiglia Exp $
 */
public class SyncItemInfoAdmin implements java.io.Serializable {


    // -------------------------------------------------------------- Properties

    /**    */
    private String guid;
        
    /**    */
    private String messageID;

    /**    */
    private java.util.Date headerDate;
        
    /**    */
    private java.util.Date headerReceived;
    
    /**     */
    private String subject;
    
    
    // ------------------------------------------------------------ Constructors

    /**
     *
     */
    public SyncItemInfoAdmin() {
    }
          
    
    // ---------------------------------------------------------- Public Methods

    /**
     *
     * @return String
     */
    public String getGuid() {
        return guid;
    }

    /**
     * 
     * 
     * @param _guid 
     */
    public void setGuid(String _guid) {
        this.guid = _guid;
    }

        
    /**
     *
     * @return headerDate java.util.Date
     */
    public java.util.Date getHeaderDate() {
        return headerDate;
    }

    /**
     * 
     * 
     * @param _headerDate 
     */
    public void setHeaderDate(java.util.Date _headerDate) {
        this.headerDate = _headerDate;
    }
    
    /**
     *
     * @return headerDate java.util.Date
     */
    public java.util.Date getHeaderReceived() {
        return headerReceived;
    }

    /**
     * 
     * 
     * @param _headerReceived 
     */
    public void setHeaderReceived(java.util.Date _headerReceived) {
        this.headerReceived = _headerReceived;
    }
    
    /**
     *
     * @return messageID String
     */
    public String getMessageID() {
        return this.messageID;
    }

    /**
     *
     * @param _messageID String
     */
    public void setMessageID(String _messageID) {
        this.messageID = _messageID;
    }    
    
    /**
     *
     * @return subject String
     */
    public String getSubject() {
        return this.subject;
    }

    /**
     *
     * @param _subject String
     */
    public void setSubject(String _subject) {
        this.subject = _subject;
    }    
    
    /**
     *
     */
    public String toString() {
        String out = 
               "GUID [" + this.guid + "]" +
               " Message-ID [" + this.messageID  + "]" +
               " Date [" + this.headerDate  + "]" +
               " Received [" + this.headerReceived  + "]" +
               " Subject [" + this.subject + "]" ;        
        return out ;
    } 
    
    
}
