/**
 * Copyright (C) 2005-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */
package com.funambol.email.model;

import com.funambol.email.pdi.mail.Ext;
import javax.mail.Message;

/**
 *
 * @version $Id: UpdatedMessage.java,v 1.2 2007/03/19 14:24:19 gbmiglia Exp $
 */
public class UpdatedMessage {

    /**   id  */
    private long  FMID = 0 ; // mail uid in the IMAP folder

    /** javaMail Message */
    private Message javaMessage   = null ;

    /**
     *
     */
    public UpdatedMessage() {
    }

    /**
     * Returns the id of this Message
     * @return the id of this Message
     */
    public long getFMID() {
        return this.FMID;
    }

    /**
     * Returns the javaMessage of this Message
     * @return the javaMessage of this Message
     */
    public Message getJavaMessage() {
        return this.javaMessage;
    }

    /**
     * @param _mailid mail id in the folder
     */
    public void setFMID(long _mailid) {
        this.FMID = _mailid;
    }

    /**
     * @param _msg message
     */
    public void setJavaMessage(Message _msg) {
        this.javaMessage = _msg;
    }
    
}
